Outpost logoOutpost Docs

Partially update a webhook config

PATCH
/v1/projects/{projectId}/webhook-configs/{webhookConfigId}
x-api-key<token>

Project-scoped API key. Keys carry either the ADMIN or TENANT role; a route additionally requires that the key's role is listed in its x-required-roles. Machine-to-machine callers should use this.

In: header

Path Parameters

projectId*string
webhookConfigId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/projects/string/webhook-configs/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "webhookConfigId": "string",  "endpoint": {    "url": "http://example.com",    "method": "POST",    "headers": {      "property1": "string",      "property2": "string"    },    "auth": {      "type": "NONE",      "token": "string",      "username": "string",      "password": "string"    },    "timeoutMs": 0,    "isActive": true  },  "subscriptions": {    "messageEvents": [      "QUEUED"    ],    "phoneEvents": [      "OPTED_OUT"    ]  }}